### Method

# Aravis Buffer set_system_timestamp

since: 0.6.0

#### Declaration [src]

    void
    arv_buffer_set_system_timestamp (
      ArvBuffer* buffer,
      guint64 timestamp_ns
    )

#### Description [src]

Sets the system timestamp for when the frame was received. Expressed in nanoseconds.

Available since: 0.6.0

#### Parameters

`timestamp_ns`

  Type: `guint64`

  A timestamp, expressed as nanoseconds.